SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   Adobe Flash Player Vendors:   Adobe Systems Incorporated
(Red Hat Issues Fix) Adobe Flash Player Multiple Bugs Let Remote Users Bypass ASLR, Obtain Potentially Sensitive Information, and Execute Arbitrary Code
SecurityTracker Alert ID:  1032138
SecurityTracker URL:  http://securitytracker.com/id/1032138
CVE Reference:   CVE-2015-0346, CVE-2015-0347, CVE-2015-0348, CVE-2015-0349, CVE-2015-0350, CVE-2015-0351, CVE-2015-0352, CVE-2015-0353, CVE-2015-0354, CVE-2015-0355, CVE-2015-0356, CVE-2015-0357, CVE-2015-0358, CVE-2015-0359, CVE-2015-0360, CVE-2015-3038, CVE-2015-3039, CVE-2015-3040, CVE-2015-3041, CVE-2015-3042, CVE-2015-3043, CVE-2015-3044   (Links to External Site)
Date:  Apr 15 2015
Impact:   Disclosure of system information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 17.0.0.134 and prior, 13.0.0.277 and prior 13.x versions, 11.2.202.451 and prior 11.x versions
Description:   Multiple vulnerabilities were reported in Adobe Flash Player. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can bypass security protections. A remote user can obtain potentially sensitive information on the target system.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

Several memory corruption errors may occur [CVE-2015-0347, CVE-2015-0350, CVE-2015-0352, CVE-2015-0353, CVE-2015-0354, CVE-2015-0355, CVE-2015-0360, CVE-2015-3038, CVE-2015-3041, CVE-2015-3042, CVE-2015-3043].

One of these vulnerabilities [CVE-2015-3043] is being actively exploited.

A type confusion error may occur [CVE-2015-0356].

A buffer overflow may occur [CVE-2015-0348].

Several use-after-free memory errors may occur [CVE-2015-0349, CVE-2015-0351, CVE-2015-0358, CVE-2015-3039].

Two double-free memory errors may occur [CVE-2015-0346, CVE-2015-0359].

Two memory leaks can be exploited to bypass address space layout randomization (ASLR) [CVE-2015-0357, CVE-2015-3040].

A user can bypass security protections to obtain potentially sensitive information [CVE-2015-3044].

Anonymous, bilou (via the Chromium Vulnerability Reward Program), Chris Evans of Google Project Zero, instruder of Alibaba Security Research Team, Jihui Lu of KeenTeam (@K33nTeam) (via the Chromium Vulnerability Reward Program), Jouko Pynnonen of Klikki Oy, Michele Spagnoulo of the Google Security Team, Mark Brand of Google Project Zero, Natalie Silvanovich (via Google Project Zero), Nicolas Joly (via HP's Zero Day Initiative, Steven Vittitoe of Google Project Zero, and s3tm3m (via HP's Zero Day Initiative reported these vulnerabilities.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can bypass ASLR security protections on the target system.

A remote user can obtain potentially sensitive information on the target system.

Solution:   Red Hat has issued a fix.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2015-0813.html

Vendor URL:  helpx.adobe.com/security/products/flash-player/apsb15-06.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  5, 6

Message History:   This archive entry is a follow-up to the message listed below.
Apr 14 2015 Adobe Flash Player Multiple Bugs Let Remote Users Bypass ASLR, Obtain Potentially Sensitive Information, and Execute Arbitrary Code



 Source Message Contents

Subject:  [RHSA-2015:0813-01] Critical: flash-plugin security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: flash-plugin security update
Advisory ID:       RHSA-2015:0813-01
Product:           Red Hat Enterprise Linux Supplementary
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2015-0813.html
Issue date:        2015-04-15
CVE Names:         CVE-2015-0346 CVE-2015-0347 CVE-2015-0348 
                   CVE-2015-0349 CVE-2015-0350 CVE-2015-0351 
                   CVE-2015-0352 CVE-2015-0353 CVE-2015-0354 
                   CVE-2015-0355 CVE-2015-0356 CVE-2015-0357 
                   CVE-2015-0358 CVE-2015-0359 CVE-2015-0360 
                   CVE-2015-3038 CVE-2015-3039 CVE-2015-3040 
                   CVE-2015-3041 CVE-2015-3042 CVE-2015-3043 
                   CVE-2015-3044 
=====================================================================

1. Summary:

An updated Adobe Flash Player package that fixes multiple security issues
is now available for Red Hat Enterprise Linux 5 and 6 Supplementary.

Red Hat Product Security has rated this update as having Critical security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Desktop Supplementary (v. 5) - i386, x86_64
Red Hat Enterprise Linux Desktop Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux Server Supplementary (v. 5) - i386, x86_64
Red Hat Enterprise Linux Server Supplementary (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Supplementary (v. 6) - i386, x86_64

3. Description:

The flash-plugin package contains a Mozilla Firefox compatible Adobe Flash
Player web browser plug-in.

This update fixes multiple vulnerabilities in Adobe Flash Player. These
vulnerabilities are detailed in the Adobe Security Bulletin APSB15-06
listed in the References section.

Multiple flaws were found in the way flash-plugin displayed certain SWF
content. An attacker could use these flaws to create a specially crafted
SWF file that would cause flash-plugin to crash or, potentially, execute
arbitrary code when the victim loaded a page containing the malicious SWF
content. (CVE-2015-0346, CVE-2015-0347, CVE-2015-0348, CVE-2015-0349,
CVE-2015-0350, CVE-2015-0351, CVE-2015-0352, CVE-2015-0353, CVE-2015-0354,
CVE-2015-0355, CVE-2015-0356, CVE-2015-0358, CVE-2015-0359, CVE-2015-0360,
CVE-2015-3038, CVE-2015-3039, CVE-2015-3041, CVE-2015-3042, CVE-2015-3043)

A security bypass flaw was found in flash-plugin that could lead to the
disclosure of sensitive information. (CVE-2015-3044)

Two memory information leak flaws were found in flash-plugin that could
allow an attacker to potentially bypass ASLR (Address Space Layout
Randomization) protection, and make it easier to exploit other flaws.
(CVE-2015-0357, CVE-2015-3040)

All users of Adobe Flash Player should install this updated package, which
upgrades Flash Player to version 11.2.202.457.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1211869 - flash-plugin: multiple code execution issues fixed in APSB15-06
1211894 - CVE-2015-3044 flash-plugin: security bypass leading to information disclosure (APSB15-06)
1211898 - CVE-2015-0357 CVE-2015-3040 flash-plugin: information leaks leading to ASLR bypass (APSB15-06)

6. Package List:

Red Hat Enterprise Linux Desktop Supplementary (v. 5):

i386:
flash-plugin-11.2.202.457-1.el5.i386.rpm

x86_64:
flash-plugin-11.2.202.457-1.el5.i386.rpm

Red Hat Enterprise Linux Server Supplementary (v. 5):

i386:
flash-plugin-11.2.202.457-1.el5.i386.rpm

x86_64:
flash-plugin-11.2.202.457-1.el5.i386.rpm

Red Hat Enterprise Linux Desktop Supplementary (v. 6):

i386:
flash-plugin-11.2.202.457-1.el6_6.i686.rpm

x86_64:
flash-plugin-11.2.202.457-1.el6_6.i686.rpm

Red Hat Enterprise Linux Server Supplementary (v. 6):

i386:
flash-plugin-11.2.202.457-1.el6_6.i686.rpm

x86_64:
flash-plugin-11.2.202.457-1.el6_6.i686.rpm

Red Hat Enterprise Linux Workstation Supplementary (v. 6):

i386:
flash-plugin-11.2.202.457-1.el6_6.i686.rpm

x86_64:
flash-plugin-11.2.202.457-1.el6_6.i686.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2015-0346
https://access.redhat.com/security/cve/CVE-2015-0347
https://access.redhat.com/security/cve/CVE-2015-0348
https://access.redhat.com/security/cve/CVE-2015-0349
https://access.redhat.com/security/cve/CVE-2015-0350
https://access.redhat.com/security/cve/CVE-2015-0351
https://access.redhat.com/security/cve/CVE-2015-0352
https://access.redhat.com/security/cve/CVE-2015-0353
https://access.redhat.com/security/cve/CVE-2015-0354
https://access.redhat.com/security/cve/CVE-2015-0355
https://access.redhat.com/security/cve/CVE-2015-0356
https://access.redhat.com/security/cve/CVE-2015-0357
https://access.redhat.com/security/cve/CVE-2015-0358
https://access.redhat.com/security/cve/CVE-2015-0359
https://access.redhat.com/security/cve/CVE-2015-0360
https://access.redhat.com/security/cve/CVE-2015-3038
https://access.redhat.com/security/cve/CVE-2015-3039
https://access.redhat.com/security/cve/CVE-2015-3040
https://access.redhat.com/security/cve/CVE-2015-3041
https://access.redhat.com/security/cve/CVE-2015-3042
https://access.redhat.com/security/cve/CVE-2015-3043
https://access.redhat.com/security/cve/CVE-2015-3044
https://access.redhat.com/security/updates/classification/#critical
https://helpx.adobe.com/security/products/flash-player/apsb15-06.html

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFVLmOuXlSAg2UNWIIRAhCpAKCQYartNTxOyN7YneEoLHmonLVYxwCeJeZL
9gBkw1TFVgaSAtPj0Xh+ubg=
=LVW2
-----END PGP SIGNATURE-----


-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC